VIGRA - Functions for TinyVector

[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| Functions for TinyVector |
--- | --- | ---

#include "vigra/tinyvector.hxx More...

## Functions
template<class V1, int SIZE, class D1, class D2, class V2, class D3, class D4> bool | operator== (TinyVectorBase< V1, SIZE, D1, D2 > const &l, TinyVectorBase< V2, SIZE, D3, D4 > const &r)
| component-wise equal
template<class V1, int SIZE, class D1, class D2, class V2, class D3, class D4> bool | operator!= (TinyVectorBase< V1, SIZE, D1, D2 > const &l, TinyVectorBase< V2, SIZE, D3, D4 > const &r)
| component-wise not equal
template<class V1, int SIZE, class DATA, class DERIVED> std::ostream & | operator<< (std::ostream &out, TinyVectorBase< V1, SIZE, DATA, DERIVED > const &l)
| stream output
template<class V1, int SIZE, class D1, class D2, class V2, class D3, class D4> PromoteTraits< TinyVector< V1, SIZE >, TinyVector< V2, SIZE > >::Promote | operator+ (TinyVectorBase< V1, SIZE, D1, D2 > const &l, TinyVectorBase< V2, SIZE, D3, D4 > const &r)
| component-wise addition
template<class V1, int SIZE, class D1, class D2, class V2, class D3, class D4> PromoteTraits< TinyVector< V1, SIZE >, TinyVector< V2, SIZE > >::Promote | operator- (TinyVectorBase< V1, SIZE, D1, D2 > const &l, TinyVectorBase< V2, SIZE, D3, D4 > const &r)
| component-wise subtraction
template<class V1, int SIZE, class D1, class D2, class V2, class D3, class D4> PromoteTraits< TinyVector< V1, SIZE >, TinyVector< V2, SIZE > >::Promote | operator * (TinyVectorBase< V1, SIZE, D1, D2 > const &l, TinyVectorBase< V2, SIZE, D3, D4 > const &r)
| component-wise multiplication
template<class V, int SIZE, class D1, class D2> NumericTraits< TinyVector< V, SIZE > >::RealPromote | operator * (double v, TinyVectorBase< V, SIZE, D1, D2 > const &r)
| component-wise left scalar multiplication
template<class V, int SIZE, class D1, class D2> NumericTraits< TinyVector< V, SIZE > >::RealPromote | operator * (TinyVectorBase< V, SIZE, D1, D2 > const &l, double v)
| component-wise right scalar multiplication
template<class V, int SIZE, class D1, class D2> NumericTraits< TinyVector< V, SIZE > >::RealPromote | operator/ (TinyVectorBase< V, SIZE, D1, D2 > const &l, double v)
| component-wise scalar division
template<class V, int SIZE, class D1, class D2> TinyVector< V, SIZE > | operator- (TinyVectorBase< V, SIZE, D1, D2 > const &v)
template<class V, int SIZE, class D1, class D2> TinyVector< V, SIZE > | abs (TinyVectorBase< V, SIZE, D1, D2 > const &v)
| component-wise absolute value
template<class V, int SIZE, class D1, class D2> TinyVector< V, SIZE > | ceil (TinyVectorBase< V, SIZE, D1, D2 > const &v)
template<class V, int SIZE, class D1, class D2> TinyVector< V, SIZE > | floor (TinyVectorBase< V, SIZE, D1, D2 > const &v)
template<class V1, class D1, class D2, class V2, class D3, class D4> TinyVector< typename PromoteTraits< V1, V2 >::Promote, 3 > | cross (TinyVectorBase< V1, 3, D1, D2 > const &r1, TinyVectorBase< V2, 3, D3, D4 > const &r2)
| cross product
template<class V1, int SIZE, class D1, class D2, class V2, class D3, class D4> PromoteTraits< V1, V2 >::Promote | dot (TinyVectorBase< V1, SIZE, D1, D2 > const &l, TinyVectorBase< V2, SIZE, D3, D4 > const &r)
| dot product
template<class V1, int SIZE, class D1, class D2> TinyVectorBase< V1, SIZE, D1, D2 >::SquaredNormType | squaredNorm (TinyVectorBase< V1, SIZE, D1, D2 > const &t)
| squared norm
template<class V, int SIZE> TinyVector< V, SIZE >::SquaredNormType | squaredNorm (TinyVector< V, SIZE > const &t)
| squared norm

## Detailed Description

#include "vigra/tinyvector.hxx

These functions fulfill the requirements of a Linear Space (vector space). Return types are determined according to Numeric and Promote Traits of TinyVector.

Namespace: vigra

## Function Documentation

TinyVector<V, SIZE> ceil | ( | TinyVectorBase< V, SIZE, D1, D2 > const & | v | ) | `[inline]`

| Apply ceil() function to each vector component.

TinyVector<V, SIZE> floor | ( | TinyVectorBase< V, SIZE, D1, D2 > const & | v | ) | `[inline]`

| Apply floor() function to each vector component.

TinyVector<V, SIZE> operator- | ( | TinyVectorBase< V, SIZE, D1, D2 > const & | v | ) | `[inline]`

| Unary negation (construct TinyVector with negative values)

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.5.0 (7 Dec 2006)